package com.bcxin.ars.model.sb;

import java.util.Date;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;
import lombok.Data;

/**
 * 技防设设备信息管理
 * <b>Function </b>
 * 
 * @author LinQingLin
 * @date 2017年5月18日 下午4:56:22
 * @注意事项 </b>
 * <b>
 */
@Data
public class Safety extends BaseModel {

    /**  */
	private static final long serialVersionUID = 8353318935161317365L;

    @ModelAnnotation(getName="用户ID",column = "userid")
	private Long userid;

	/**
	 * 设备编号
	 */
    @ModelAnnotation(getName="设备编号",column = "safetynum")
    private String safetynum;

    /**
     * 设备来源
     */
    @ModelAnnotation(getName="设备来源",column = "safetyly")
    private String safetyly;

    /**
     * 设备名称
     */
    @ModelAnnotation(getName="设备名称",column = "safetyname")
    private String safetyname;

    /**
     * 设备类型
     */
    @ModelAnnotation(getName="设备类型",column = "safetytype")
    private String safetytype;

    /**
     * 设备品牌
     */
    @ModelAnnotation(getName="设备品牌",column = "safetypp")
    private String safetypp;

    /**
     * 设备型号
     */
    @ModelAnnotation(getName="设备型号",column = "safetyxh")
    private String safetyxh;

    /**
     * 购买日期 
     */
    @ModelAnnotation(getName="购买日期",column = "safetybuydate")
    private Date safetybuydate;

    /**
     * 购买金额
     */
    @ModelAnnotation(getName="购买金额",column = "buyaccout")
    private Integer buyaccout;

    /**
     * 设备专管人
     */
    @ModelAnnotation(getName="设备专管人",column = "safetyperson")
    private String safetyperson;

    /**
     * 备注
     */
    @ModelAnnotation(getName="备注",column = "remarks")
    private String remarks;

    /***
     * 公司名称
     */
    private String companyName;

    public Long getUserid() {
        return userid;
    }

    public void setUserid(Long userid) {
        this.userid = userid;
    }

    public String getSafetynum() {
        return safetynum;
    }

    public void setSafetynum(String safetynum) {
        this.safetynum = safetynum == null ? null : safetynum.trim();
    }

    public String getSafetyly() {
        return safetyly;
    }

    public void setSafetyly(String safetyly) {
        this.safetyly = safetyly == null ? null : safetyly.trim();
    }

    public String getSafetyname() {
        return safetyname;
    }

    public void setSafetyname(String safetyname) {
        this.safetyname = safetyname == null ? null : safetyname.trim();
    }

    public String getSafetytype() {
        return safetytype;
    }

    public void setSafetytype(String safetytype) {
        this.safetytype = safetytype == null ? null : safetytype.trim();
    }

    public String getSafetypp() {
        return safetypp;
    }

    public void setSafetypp(String safetypp) {
        this.safetypp = safetypp == null ? null : safetypp.trim();
    }

    public String getSafetyxh() {
        return safetyxh;
    }

    public void setSafetyxh(String safetyxh) {
        this.safetyxh = safetyxh == null ? null : safetyxh.trim();
    }

    public Date getSafetybuydate() {
        return safetybuydate;
    }

    public void setSafetybuydate(Date safetybuydate) {
        this.safetybuydate = safetybuydate;
    }

    public Integer getBuyaccout() {
        return buyaccout;
    }

    public void setBuyaccout(Integer buyaccout) {
        this.buyaccout = buyaccout;
    }

    public String getSafetyperson() {
        return safetyperson;
    }

    public void setSafetyperson(String safetyperson) {
        this.safetyperson = safetyperson == null ? null : safetyperson.trim();
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }
}